### When procrastinating...

- you avoid urgent tasks. <!-- .element: class="fragment" -->
- you spend time on useless things. <!-- .element: class="fragment" -->
- you don't rest, nor regain energy. <!-- .element: class="fragment" -->

-V-

### And then...

- you fall behind and get stressed. <!-- .element: class="fragment" -->
- you regret losing your precious time. <!-- .element: class="fragment" -->
- you feel miserable and tired. <!-- .element: class="fragment" -->

-V-
<!-- .slide: data-transition="slide-in fade-out" -->
### ...but why?

-V-
<!-- .slide: data-transition="fade-in slide-out" -->
😐 "I don't feel like it."

"I'm way too tired." 😪 <!-- .element: class="fragment" -->

😕 "I don't know how to do it." <!-- .element: class="fragment" -->

"I'm very busy now." 🧐 <!-- .element: class="fragment" -->

😇 "I will do it, but first [☕]." <!-- .element: class="fragment" -->

-V-

### No, really. Why?

-V-

### Expanding potential

Never before in history did we have so much... <!-- .element: class="fragment" -->

- life expectancy, safety, stability <!-- .element: class="fragment" -->
- freedom, opportunity <!-- .element: class="fragment" -->
- accessible information, knowledge <!-- .element: class="fragment" -->

...and **so many options** to choose from!
<!-- .element: class="fragment r-fit-text" -->

---

### Decision Paralysis

We can easily become overwhelmed by options.
<!-- .element class="r-fit-text" -->

- What if I pick the wrong option? <!-- .element: class="fragment" -->
- Should I go back and try the other one? <!-- .element: class="fragment" -->
- Will this be the best use of my resources? <!-- .element: class="fragment" -->
- Shouldn't I spend more time researching this? <!-- .element: class="fragment" -->
- What is the best choice? <!-- .element: class="fragment" -->

-V-

#### Finding the best option hurts,

#### so we leave it for *later*.
<!-- .element: class="fragment" -->

-V-
<!-- .slide: data-transition="slide-in fade-out" -->
#### But as the saying goes...

> The best is the mortal enemy of the good

&mdash; <cite>Montesquieu</cite>

-V-
<!-- .slide: data-transition="fade-in slide-out" -->
#### But as the saying goes...

> Premature optimization is the root of all evil

&mdash; <cite>Donald Knuth</cite>

---

### How to make good decisions?

-V-
<!-- .slide: class="pathfinder-page" -->
#### Try out everything?

<header class="navbar hidden">
    <nav class="navbar">
        <div class="navbar-item">
            <div class="custom-select">
                <select class="algo-select">
                    <option value="BFS" selected>Breadth First Search</option>
                </select>
            </div>
        </div>
        <div class="navbar-item">
            <div class="custom-select">
                <select class="maze-algo-select">
                    <option value="Random" selected>Random Maze</option>
                </select>
            </div>
        </div>
        <div class="navbar-item">
            <div class="speed-container slidecontainer">
                <span class="range-caption">Speed</span>
                <input type="range" class="slider range-speed" min="0" max="200" value="100">
            </div>
        </div>
    </nav>
</header>
<div class="main-grid-container">
    <div class="grid-container"><div class="grid" id="grid"></div></div>
</div>
<div class="pathfinder-rerun">Restart</div>

This could take a lifetime.

-V-
<!-- .slide: class="pathfinder-page" -->
#### Try whatever comes?

<header class="navbar hidden">
    <nav class="navbar">
        <div class="navbar-item">
            <div class="custom-select">
                <select class="algo-select">
                    <option value="DFS" selected>Depth First Search</option>
                </select>
            </div>
        </div>
        <div class="navbar-item">
            <div class="custom-select">
                <select class="maze-algo-select">
                    <option value="Random" selected>Random Maze</option>
                </select>
            </div>
        </div>
        <div class="navbar-item">
            <div class="speed-container slidecontainer">
                <span class="range-caption">Speed</span>
                <input type="range" class="slider range-speed" min="0" max="200" value="100">
            </div>
        </div>
    </nav>
</header>
<div class="main-grid-container">
    <div class="grid-container"><div class="grid"></div></div>
</div>
<div class="pathfinder-rerun">Restart</div>

On average this takes several lifetimes.

-V-
<!-- .slide: class="pathfinder-page" -->
#### Focus in one direction?

<header class="navbar hidden">
    <nav class="navbar">
        <div class="navbar-item">
            <div class="custom-select">
                <select class="algo-select">
                    <option value="Greedy" selected>Greedy Algorithm</option>
                </select>
            </div>
        </div>
        <div class="navbar-item">
            <div class="custom-select">
                <select class="maze-algo-select">
                    <option value="Random" selected>Random Maze</option>
                </select>
            </div>
        </div>
        <div class="navbar-item">
            <div class="speed-container slidecontainer">
                <span class="range-caption">Speed</span>
                <input type="range" class="slider range-speed" min="0" max="200" value="100">
            </div>
        </div>
    </nav>
</header>
<div class="main-grid-container">
    <div class="grid-container"><div class="grid"></div></div>
</div>
<div class="pathfinder-rerun">Restart</div>

Now we're making progress!

---
<!-- .slide: data-background-color="#030" -->
## Personal Intermezzo!

-V-
<!-- .slide: data-background-color="#030" -->
### I 💘

### Code + Computers
### + Coffee <!-- .element: class="fragment" -->
### + Perfection <!-- .element: class="fragment" -->

-V-
<!-- .slide: data-background-color="#030" -->
### I enjoy meeting people*
### once a week. <!-- .element: class="fragment" -->

-V-
<!-- .slide: data-background-color="#030" -->
### Career Review

Master's degree in Informatics,<br/>Parallel and Distributed Systems
<!-- .element: class="fragment" -->

| Role                       | duration    |
| -------------------------- | ----------- |
| Software **Developer**     | for 4 years |
| Sr. Software **Developer** | for 4 years |
| Dev **Manager**            | for 5 years |
| Sr. Dev **Manager**        | for 1+ year |
<!-- .element: class="fragment" -->

-V-
<!-- .slide: data-background-color="#030" -->
### Last year I realized
- I'm unhappy <!-- .element: class="fragment" -->
- I procrastinate <!-- .element: class="fragment" -->
- I can't keep up at work <!-- .element: class="fragment" -->
- I'm scared of the next workday <!-- .element: class="fragment" -->

What's wrong?<!-- .element: class="fragment" -->
-V-
<!-- .slide: data-background-color="#030" data-background-image="slides/books.jpg" data-background-opacity="0.05" -->
### Library to the rescue!

-V-
<!-- .slide: data-background-color="#030" data-background-image="slides/books.jpg" data-background-opacity="0.9" -->
### My Stack of Books <!-- .element: class="text-over-image" -->

-V-
<!-- .slide: data-background-color="#030" -->

⭐ **The End of Procrastination** ⭐

by Petr Ludwig

<img data-src="slides/books/end_of_procrastination.png" alt="Book cover" class="r-stretch" />

-V-
<!-- .slide: data-background-color="#030" -->

*Grit: The Power of Passion and Perseverance*

by Angela Duckworth

<img data-src="slides/books/grit.jpg" alt="Book cover" class="r-stretch" />

-V-
<!-- .slide: data-background-color="#030" -->

*Flourish: A Visionary New Understanding of Happiness and Well-being*

by Martin Seligman

<img data-src="slides/books/flourish.jpg" alt="Book cover" class="r-stretch" />

-V-
<!-- .slide: data-background-color="#030" -->

*Focus: A Simplicity Manifesto in the Age of Distraction*

by Leo Babauta

<img data-src="slides/books/focus.jpg" alt="Book cover" class="r-stretch" />

-V-
<!-- .slide: data-background-color="#030" -->

*Leaders Eat Last*

by Simon Sinek

<img data-src="slides/books/leaders.jpg" alt="Book cover" class="r-stretch" />
